Name:           perl-Catalyst-Plugin-Session
Version:        0.29
Release:        2%{?dist}
Summary:        Catalyst generic session plugin
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Session/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/Catalyst-Plugin-Session-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(MooseX::Emulate::Class::Accessor::Fast) >= 0.00801
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Catalyst) >= 5.7010
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Digest)
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(Object::Signature)
BuildRequires:  perl(Tie::RefHash) >= 1.34
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(namespace::clean) >= 0.10
BuildRequires:  perl(Moose) >= 0.76
BuildRequires:  perl(Catalyst::Runtime) >= 5.71001
BuildRequires:  perl(MooseX::Emulate::Class::Accessor::Fast) >= 0.00801
# test
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
# optional tests
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

# NOTE FOR TESTS: there are optional tests in this module using
# C::P::S::State::Cookie.  However, while C::P::S::State::Cookie is an
# optional module for tests in this package, this package is a mandatory BR of
# C::P::S::State::Cookie.  We must not BR C::P::S::State::Cookie to avoid
# circular build deps.

Requires:  perl(Catalyst::Runtime) >= 5.71001
Requires:  perl(Digest)
Requires:  perl(File::Spec)
Requires:  perl(File::Temp)
Requires:  perl(MRO::Compat)
Requires:  perl(Moose) >= 0.76
Requires:  perl(Object::Signature)
Requires:  perl(Tie::RefHash) >= 1.34
Requires:  perl(namespace::clean) >= 0.10

%{?perl_default_filter}

%description
This plugin is the base of two related parts of functionality
required for session management in web applications.

The first part, the State, is getting the browser to repeat back a
session key, so that the web application can identify the client and
logically string several requests together into a session.

The second part, the Store, deals with the actual storage of information
about the client. This data is stored so that the it may be revived for
every request made by the same client.

This plugin links the two pieces together.

%prep
%setup -q -n Catalyst-Plugin-Session-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
TEST_POD=1 make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.29-2
- rebuild against perl 5.10.1

* Sun Dec 06 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.29-1
- auto-update to 0.29 (by cpan-spec-update 0.01)
- added a new req on perl(Test::More) (version 0)

* Sat Oct 10 2009 Iain Arnell <iarnell@gmail.com> 0.27-1
- update to 0.27
- remove buildreq on perl(Text::MockObject)

* Sat Aug 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.25-1
- switch to new filtering system (perl_default_filter)
- auto-update to 0.25 (by cpan-spec-update 0.01)
- added a new req on perl(Catalyst::Runtime) (version 5.71001)
- added a new req on perl(Digest) (version 0)
- added a new req on perl(File::Spec) (version 0)
- added a new req on perl(File::Temp) (version 0)
- added a new req on perl(MRO::Compat) (version 0)
- added a new req on perl(Moose) (version 0.76)
- altered req on perl(MooseX::Emulate::Class::Accessor::Fast) (0 => 0.00801)
- added a new req on perl(Object::Signature) (version 0)
- added a new req on perl(Tie::RefHash) (version 1.34)
- added a new req on perl(namespace::clean) (version 0.10)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 26 2009 Iain Arnell <iarnell@gmail.com> 0.22-2
- add missing requires perl(MooseX::Emulate::Class::Accessor::Fast)

* Mon May 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.22-1
- auto-update to 0.22 (by cpan-spec-update 0.01)
- added a new br on perl(File::Temp) (version 0)
- added a new br on perl(File::Spec) (version 0)
- added a new br on perl(namespace::clean) (version 0.10)
- added a new br on perl(Moose) (version 0.76)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- added a new br on perl(Catalyst::Runtime) (version 5.71001)
- added a new br on perl(MooseX::Emulate::Class::Accessor::Fast) (version 0.00801)

* Fri Feb 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.20-1
- update to 0.20

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 30 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.19-2
- bump

* Tue Mar 18 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.19-1
- Specfile autogenerated by cpanspec 1.74.
